/*
 * n01_stats
 *
 * file.h
 *
 * Copyright (C) 1996-2006 by Nakashima Tomoaki. All rights reserved.
 *		http://www.nakka.com/
 *		nakka@nakka.com
 */

#ifndef _INC_FILE_H
#define _INC_FILE_H

/* Include Files */

/* Define */

/* Struct */
typedef struct _FILE_FIND_INFO {
	UINT hash;
	TCHAR name[MAX_PATH];
} FILE_FIND_INFO;

/* Function Prototypes */
BOOL file_find(const TCHAR *path, const TCHAR *filename, TCHAR *ret);
BOOL file_find_list(const TCHAR *path, FILE_FIND_INFO *ffi, const int cnt);
DWORD file_get_size(const TCHAR *file_name);
BOOL file_check_file(const TCHAR *path);
BOOL file_check_directory(const TCHAR *path);
void create_tree_directory(const TCHAR *p);
BOOL select_folder(const HWND hWnd, TCHAR *title, TCHAR *ret);
BYTE *file_read_buf(const TCHAR *path, DWORD *ret_size, TCHAR *err_str);
BOOL file_write_buf(const TCHAR *path, const BYTE *data, const DWORD size, TCHAR *err_str);

#endif
/* End of source */
